administrator — mas-barrings@masmovil.com
administrator — mas-barrings@masmovil.com
Request a barring masks set operation over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Contains the operation and the masks code set, that contains the barrings masks to operate over a subscription
{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
action* | string
()
APPLYREMOVE | Action of the operation, the operation that applies the set of masks provided | ||
barringsMasksCodes* | string[] | minItems: 1, uniqueItems | ||
reason | string
()
DEBTRISKMIGRATIONATCCUST | Reason of barring operation | minItems: 1 |
Accepted Successfully accepted the operation request, returned the evaluation of mask, network services new status application pending
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found SubscriptionId not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Conflict Conflict to apply or remove barrings with subscription with invalid status
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X POST 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/barrings-masks/operations' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION"
}' Gets the barring masks catalogue
PATH PARAMETERS
A masmovil tenant
QUERY PARAMETERS
The operation type code of the mask
The name code of the mask
The subscription type code of the mask
OK Successfully returned the barring mask catalogue
[
{
"id": 10,
"code": "DEBT_MOBILE_LP",
"description": "Line services suspension due to debt",
"name": "Redireccion Internet",
"operationTypeCode": "DEBT",
"subscriptionTypeCode": "MOBILE",
"services": [
{
"id": 10,
"code": "OUTGOING_VOICE",
"description": "Outgoing Voice"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer (int64) | Mask Id | ||||||||||||||||||||||
code* | string | Barrings mask code, external identifier | ||||||||||||||||||||||
description | string | Barrings mask description | ||||||||||||||||||||||
name | string | Barrings mask business name | ||||||||||||||||||||||
operationTypeCode | string | Operation type group code | ||||||||||||||||||||||
subscriptionTypeCode | string | Subscription type code | ||||||||||||||||||||||
services | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v2/orgs/masmovil/masks?operationTypeCode=DEBT&code=DEBT_MOBILE_HOTLP&subscriptionType=MOBILE' \
-H 'Accept: application/json' Return a mask if exists
PATH PARAMETERS
A masmovil tenant
Mask Id
OK The mask
{
"id": 10,
"code": "DEBT_MOBILE_LP",
"description": "Line services suspension due to debt",
"name": "Redireccion Internet",
"operationTypeCode": "DEBT",
"subscriptionTypeCode": "MOBILE",
"services": [
{
"id": 10,
"code": "OUTGOING_VOICE",
"description": "Outgoing Voice"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer (int64) | Mask Id | ||||||||||||||||||||||
code* | string | Barrings mask code, external identifier | ||||||||||||||||||||||
description | string | Barrings mask description | ||||||||||||||||||||||
name | string | Barrings mask business name | ||||||||||||||||||||||
operationTypeCode | string | Operation type group code | ||||||||||||||||||||||
subscriptionTypeCode | string | Subscription type code | ||||||||||||||||||||||
services | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found Not Found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Unexpected error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v2/orgs/masmovil/masks/1' \
-H 'Accept: application/json' Get masks applied to a subscription
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK Successfully returned the masks associated to a subscription.
{
"subscriptionId": 1234451113,
"masks": [
"DEBT_MOBILE_LP"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
subscriptionId* | integer (int64) | Subscription Id | ||
masks* | string[] | Mask code list | uniqueItems |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/masks' \
-H 'Accept: application/json' Request a barring masks set operation over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Contains the operation and the masks code set, that contains the barrings masks to operate over a subscription
{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
action* | string
()
APPLYREMOVE | Action of the operation, the operation that applies the set of masks provided | ||
barringsMasksCodes* | string[] | minItems: 1, uniqueItems | ||
reason | string
()
DEBTRISKMIGRATIONATCCUST | Reason of barring operation | minItems: 1 |
Accepted Successfully accepted the operation request, returned the evaluation of mask, network services new status application pending
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found SubscriptionId not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Conflict Conflict to apply or remove barrings with subscription with invalid status
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/masks' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"action": "APPLY",
"barringsMasksCodes": [
"string"
],
"reason": "MIGRATION"
}' Return a history list of of barred masks
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK History list of masks
[
{
"id": 1,
"mask": {
"id": 14,
"code": "DEBT_MOBILE_RESTRICTED",
"name": "Restringido",
"description": "DEBT_MOBILE_RESTRICTED description"
},
"operation": "APPLY",
"subscription_id": 14,
"user": "MB_username",
"date": "2025-01-15T10:30:00Z"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer (int64) | history id | |||||||||||||||||||||||||||
mask* | object | ||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||
operation* | string
()
APPLYREMOVE | ||||||||||||||||||||||||||||
subscription_id* | integer (int64) | subscription id | |||||||||||||||||||||||||||
user* | string | ||||||||||||||||||||||||||||
date* | string (date-time) | ||||||||||||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Unexpected error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/masks/history' \
-H 'Accept: application/json' Request a service
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Service identifier
OK OK
{
"serviceId": 1111,
"serviceName": "OUTGOING_VOICE",
"active": true,
"statusReason": [
"string"
],
"order": {
"running": true,
"orders": [
"string"
]
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
serviceId* | integer (int64) | Service Id | |||||||||||||||||
serviceName* | string | Service Name | |||||||||||||||||
active* | boolean | Service status | |||||||||||||||||
statusReason* | string[] | ||||||||||||||||||
order* | object | ||||||||||||||||||
| |||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Not Found Not found
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/services/11111' \
-H 'Accept: application/json' Request a service barring over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Service identifier
Contains services set and the reason to operate over a subscription
{
"reason": "CUST",
"active": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reason* | string
()
CUSTPROD | Reason | ||
active* | boolean |
Accepted Successfully accepted the operation request, returned the externalId and subscriptionId
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/services/11111' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reason": "CUST",
"active": true
}' Request all subscription service
PATH PARAMETERS
A masmovil tenant
Subscription identifier
OK OK
[
{
"serviceId": 1111,
"serviceName": "OUTGOING_VOICE",
"active": true,
"statusReason": [
"string"
],
"order": {
"running": true,
"orders": [
"string"
]
}
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
serviceId* | integer (int64) | Service Id | |||||||||||||||||
serviceName* | string | Service Name | |||||||||||||||||
active* | boolean | Service status | |||||||||||||||||
statusReason* | string[] | ||||||||||||||||||
order* | object | ||||||||||||||||||
| |||||||||||||||||||
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X GET 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/services' \
-H 'Accept: application/json' Request services barring over a subscription.
PATH PARAMETERS
A masmovil tenant
Subscription identifier
Contains services set and the reason to operate over a subscription
{
"reason": "CUST",
"services": [
{
"serviceId": 10,
"active": true
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
reason* | string
()
CUSTPROD | Reason | |||||||||||||||||
services* | object[] | minItems: 1, uniqueItems | |||||||||||||||||
Array items:
| |||||||||||||||||||
Accepted Successfully accepted the operation request, returned the externalId and subscriptionId
{
"externalId": "1234451112-a3a2"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalId* | string | External identifier of the business process operation triggered and associated to the request |
Bad Request Bad Request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Unauthorized Unauthorized request
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Forbidden Forbidden resource
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"tracingId": "0e3f7e20-6a4b-4344-bad0-fe8576e72adc",
"code": "INVALID_BARRING_MASK",
"message": "OA3_400_01: Validation error in some parameters. See swagger documentation"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
tracingId* | string | Trace id of the related request to track the exception | ||
code* | string | Error code string for fast identification | ||
message | string | Message description or detail of error |
curl -X PATCH 'https://barrings.masstack.com/v2/orgs/masmovil/subscriptions/22222/services' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reason": "CUST",
"services": [
{
"serviceId": 10,
"active": true
}
]
}'